Summary: NIS/YP Server
Name: ypserv
Version: 1.2.4
Release: 1
Copyright: GNU
Group: Networking/Daemons
Source: weber.uni-paderborn.de:/pub/linux/NIS/ypserv-%{PACKAGE_VERSION}.tar.gz
Source1: ypserv.init
Packager: Thorsten Kukuk <kukuk@vt.uni-paderborn.de>
URL: http://www-vt.uni-paderborn.de/~kukuk/linux/nis.html
BuildRoot: /var/tmp/ypserv
Requires: portmap
Conflicts: yppasswd

%description
ypserv is an implementation of the standard NIS/YP networking
protocol.  It allows network-wide distribution of hostname, username,
and other information databases

%prep
%setup

%clean
make distclean
rm -rf $RPM_BUILD_ROOT

%build
cp etc/README etc/README.etc
# There are memory problems if ypserv uses tcp_wrapper, don't use it at first
./configure
make

%install
make ROOT="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT/var/yp $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
install -m644 etc/ypserv.conf $RPM_BUILD_ROOT/etc
install -m644 etc/securenets $RPM_BUILD_ROOT/var/yp
install -m755 $RPM_SOURCE_DIR/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ypserv.init
ln -sf ../init.d/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K35ypserv
ln -sf ../init.d/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K35ypserv
ln -sf ../init.d/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K35ypserv
ln -sf ../init.d/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S65ypserv
ln -sf ../init.d/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S65ypserv
ln -sf ../init.d/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K35ypserv

%post

# try to configure the Users NIS domain
if [ -f /etc/sysconfig/network ]
    then 
    # Sourcing Network Configuration
    . /etc/sysconfig/network
    # Let's check what exists ...
    # domainname as NIS_DOMAIN doesnt exist
    if [ `domainname` = \(none\) ] && [ -z ${NIS_DOMAIN} ]
	then	
	exit 0
    fi 
fi

%files
%doc README README.secure INSTALL ChangeLog TODO
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config /etc/ypserv.conf
%config /var/yp
%config /etc/rc.d/init.d/ypserv.init
/etc/rc.d/rc0.d/K35ypserv
/etc/rc.d/rc1.d/K35ypserv
/etc/rc.d/rc2.d/K35ypserv
/etc/rc.d/rc3.d/S65ypserv
/etc/rc.d/rc5.d/S65ypserv
/etc/rc.d/rc6.d/K35ypserv
/usr/include/rpcsvc/ypxfrd.x
/usr/lib/yp/ypxfr
/usr/lib/yp/ypxfr_1perhour
/usr/lib/yp/ypxfr_2perday
/usr/lib/yp/ypxfr_1perday
/usr/lib/yp/makedbm
/usr/lib/yp/ypinit
/usr/lib/yp/revnetgroup
/usr/lib/yp/mknetid
/usr/lib/yp/pwupdate
/usr/sbin/yppush
/usr/sbin/ypserv
/usr/sbin/rpc.ypxfrd
/usr/sbin/rpc.yppasswdd
/usr/man/man5/ypserv.conf.5
/usr/man/man5/netgroup.5
/usr/man/man8/mknetid.8
/usr/man/man8/yppush.8
/usr/man/man8/ypserv.8
/usr/man/man8/ypinit.8
/usr/man/man8/revnetgroup.8
/usr/man/man8/ypxfr.8
/usr/man/man8/ypxfrd.8
/usr/man/man8/rpc.ypxfrd.8
/usr/man/man8/rpc.yppasswdd.8
/usr/man/man8/yppasswdd.8
